aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/clipboard-wrapper14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/clipboard-wrapper b/bin/clipboard-wrapper
new file mode 100755
index 0000000..5ac3dec
--- /dev/null
+++ b/bin/clipboard-wrapper
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -euo pipefail
+IFS=$'\n\t'
+
+if [ $(uname) == "Darwin" ]; then
+ if [ "$@" == "-i" ]; then
+ pbcopy
+ elif [ "$@" == "-o" ]; then
+ pbpaste
+ fi
+else
+ xclip "$@"
+fi
+exit 0